Package org.apache.sysds.runtime.matrix.operators

# Class MultiThreadedOperator

java.lang.Object
org.apache.sysds.runtime.matrix.operators.Operator
org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AggregateBinaryOperator`, `AggregateTernaryOperator`, `AggregateUnaryOperator`, `BinaryOperator`, `CMOperator`, `COVOperator`, `ReorgOperator`, `ScalarOperator`, `TernaryOperator`, `UnaryOperator`

public class MultiThreadedOperator extends Operator

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

## Constructor Summary

Constructors
Constructor
Description
`MultiThreadedOperator()`
`MultiThreadedOperator(boolean sparseSafeFlag)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getNumThreads()`
`void`
`setNumThreads(int numThreads)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultiThreadedOperator

public MultiThreadedOperator()

### MultiThreadedOperator

public MultiThreadedOperator(boolean sparseSafeFlag)

## Method Details

### getNumThreads

public int getNumThreads()

### setNumThreads

public void setNumThreads(int numThreads)